Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3d_common/disvert_noterre.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3d_common/disvert_noterre.F	(revision 227)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3d_common/disvert_noterre.F	(revision 298)
@@ -12,4 +12,5 @@
       use ioipsl_getincom
 #endif
+      use mod_phys_lmdz_para, only : is_master
 
       IMPLICIT NONE
@@ -59,5 +60,5 @@
       hybrid=.true. ! default value for hybrid (ie: use hybrid coordinates)
       CALL getin('hybrid',hybrid)
-      write(lunout,*) trim(modname),': hybrid=',hybrid
+      if (is_master) write(lunout,*) trim(modname),': hybrid=',hybrid
 
 ! Ouverture possible de fichiers typiquement E.T.
@@ -82,7 +83,7 @@
 c        <-> energie cinetique, d'apres la note de Frederic Hourdin...
 
-         write(lunout,*)'*****************************'
-         write(lunout,*)'WARNING reading esasig.def'
-         write(lunout,*)'*****************************'
+         if (is_master) write(lunout,*)'*****************************'
+         if (is_master) write(lunout,*)'WARNING reading esasig.def'
+         if (is_master) write(lunout,*)'*****************************'
          READ(99,*) scaleheight
          READ(99,*) dz0
@@ -131,7 +132,7 @@
 
       ELSE IF(ierr4.eq.0) then
-         write(lunout,*)'****************************'
-         write(lunout,*)'Reading z2sig.def'
-         write(lunout,*)'****************************'
+         if (is_master) write(lunout,*)'****************************'
+         if (is_master) write(lunout,*)'Reading z2sig.def'
+         if (is_master) write(lunout,*)'****************************'
 
          READ(99,*) scaleheight
@@ -174,7 +175,8 @@
 
       if (hybrid) then  ! use hybrid coordinates
-         write(lunout,*) "*********************************"
-         write(lunout,*) "Using hybrid vertical coordinates"
-         write(lunout,*) 
+         if (is_master) write(lunout,*) "***************************"
+         if (is_master) write(lunout,*) "Using hybrid vertical",
+     &		" coordinates"
+         if (is_master) write(lunout,*) 
 c        Coordonnees hybrides avec mod
          DO l = 1, llm
@@ -187,7 +189,8 @@
          ap(llmp1) = 0.
       else ! use sigma coordinates
-         write(lunout,*) "********************************"
-         write(lunout,*) "Using sigma vertical coordinates"
-         write(lunout,*) 
+         if (is_master) write(lunout,*) "***************************"
+         if (is_master) write(lunout,*) "Using sigma vertical",
+     &		" coordinates"
+         if (is_master) write(lunout,*) 
 c        Pour ne pas passer en coordonnees hybrides
          DO l = 1, llm
@@ -200,8 +203,8 @@
       bp(llmp1) =   0.
 
-      write(lunout,*) trim(modname),': BP '
-      write(lunout,*)  bp
-      write(lunout,*) trim(modname),': AP '
-      write(lunout,*)  ap
+      if (is_master) write(lunout,*) trim(modname),': BP '
+      if (is_master) write(lunout,*)  bp
+      if (is_master) write(lunout,*) trim(modname),': AP '
+      if (is_master) write(lunout,*)  ap
 
 c     Calcul au milieu des couches :
@@ -226,8 +229,8 @@
       end if
 
-      write(lunout,*) trim(modname),': BPs '
-      write(lunout,*)  bps
-      write(lunout,*) trim(modname),': APs'
-      write(lunout,*)  aps
+      if (is_master) write(lunout,*) trim(modname),': BPs '
+      if (is_master) write(lunout,*)  bps
+      if (is_master) write(lunout,*) trim(modname),': APs'
+      if (is_master) write(lunout,*)  aps
 
       DO l = 1, llm
@@ -236,9 +239,9 @@
       ENDDO
 
-      write(lunout,*)trim(modname),' : PRESNIVS' 
-      write(lunout,*)presnivs 
-      write(lunout,*)'Pseudo altitude of Presnivs : (for a scale ',
-     &                'height of ',scaleheight,' km)' 
-      write(lunout,*)pseudoalt
+      if (is_master) write(lunout,*)trim(modname),' : PRESNIVS' 
+      if (is_master) write(lunout,*)presnivs 
+      if (is_master) write(lunout,*)'Pseudo altitude of Presnivs : ',
+     &		'(for a scale height of ',scaleheight,' km)' 
+      if (is_master) write(lunout,*)pseudoalt
 
 c     --------------------------------------------------
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3d_common/inigeom.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3d_common/inigeom.F	(revision 227)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/dyn3d_common/inigeom.F	(revision 298)
@@ -16,4 +16,5 @@
 c
 c
+      use mod_phys_lmdz_para, only : is_master
       IMPLICIT NONE
 c
@@ -160,5 +161,5 @@
 c
 c
-      WRITE(6,3) 
+      if (is_master) WRITE(6,3) 
  3    FORMAT( // 10x,' ....  INIGEOM  date du 01/06/98   ..... ',
      * //5x,'   Calcul des elongations cu et cv  comme sommes des 4 ' /
@@ -183,10 +184,10 @@
       ENDIF
 
-      WRITE(6,*) ' gamdi_gd ',gamdi_gdiv,gamdi_grot,gamdi_h,coefdis,
-     *  nitergdiv,nitergrot,niterh
+      if (is_master) WRITE(6,*) ' gamdi_gd ',gamdi_gdiv,gamdi_grot,
+     *  gamdi_h,coefdis,nitergdiv,nitergrot,niterh
 c
       pi    = 2.* ASIN(1.)
 c
-      WRITE(6,990) 
+      if (is_master) WRITE(6,990) 
 
 c     ----------------------------------------------------------------
@@ -197,5 +198,6 @@
        IF( ysinus )  THEN
 c
-        WRITE(6,*) ' ***  Inigeom ,  Y = Sinus ( Latitude ) *** '
+        if (is_master) WRITE(6,*) ' ***  Inigeom ,  Y = Sinus ',
+     *		'( Latitude ) *** '
 c
 c   .... utilisation de f(x,y )  avec  y  =  sinus de la latitude  .....
@@ -207,5 +209,6 @@
        ELSE
 c
-        WRITE(6,*) '*** Inigeom ,  Y = Latitude  , der. sinusoid . ***'
+        if (is_master) WRITE(6,*) '*** Inigeom ,  Y = Latitude  ,',
+     *		' der. sinusoid . ***'
 
 c  .... utilisation  de f(x,y) a tangente sinusoidale , y etant la latit. ...
@@ -262,5 +265,6 @@
 c   .....................................................................
 
-      WRITE(6,*)'*** Inigeom , Y = Latitude  , der.tg. hyperbolique ***'
+      if (is_master) WRITE(6,*)'*** Inigeom , Y = Latitude  ,',
+     *		' der.tg. hyperbolique ***'
  
        CALL fxyhyper( clat, grossismy, dzoomy, tauy    , 
@@ -656,4 +660,5 @@
 c-----------------------------------------------------------------------
 c
+       if (is_master) then
        WRITE(6,*) '   ***  Coordonnees de la grille  *** '
        WRITE(6,995)
@@ -661,20 +666,23 @@
        WRITE(6,*) '   LONGITUDES  aux pts.   V  ( degres )  '
        WRITE(6,995)
+       end if
         DO i=1,iip1
          rlonvv(i) = rlonv(i)*180./pi
         ENDDO
-       WRITE(6,400) rlonvv
-c
-       WRITE(6,995)
-       WRITE(6,*) '   LATITUDES   aux pts.   V  ( degres )  '
-       WRITE(6,995)
+       if (is_master) WRITE(6,400) rlonvv
+c
+       if (is_master) WRITE(6,995)
+       if (is_master) WRITE(6,*) '   LATITUDES   aux pts.   V  ',
+     *		'( degres )  '
+       if (is_master) WRITE(6,995)
         DO i=1,jjm
          rlatuu(i)=rlatv(i)*180./pi
         ENDDO
-       WRITE(6,400) (rlatuu(i),i=1,jjm)
+       if (is_master) WRITE(6,400) (rlatuu(i),i=1,jjm)
 c
         DO i=1,iip1
           rlonvv(i)=rlonu(i)*180./pi
         ENDDO
+       if (is_master) then
        WRITE(6,995)
        WRITE(6,*) '   LONGITUDES  aux pts.   U  ( degres )  '
@@ -685,9 +693,11 @@
        WRITE(6,*) '   LATITUDES   aux pts.   U  ( degres )  '
        WRITE(6,995)
+       end if
+       if (is_master) WRITE(6,995)
         DO i=1,jjp1
          rlatuu(i)=rlatu(i)*180./pi
         ENDDO
-       WRITE(6,400) (rlatuu(i),i=1,jjp1)
-       WRITE(6,995)
+       if (is_master) WRITE(6,400) (rlatuu(i),i=1,jjp1)
+       if (is_master) WRITE(6,995)
 c
 444    format(f10.3,f6.0)
